## mortar 1.1.4

=== Makefile ===
# Makefile for Mortar sources
#
# SDL is used by default for video and sound.  If you don't have
# LibSDL/SDL_mixer, you need set NAME & SOUND to suitable alternatives
# from the supported targets (see below).  DESTDIR or PREFIX can be
# changed to set the Mortar installation path for your system
# (in Makefile or from command line).  Build it with:
#       make NAME=target
#
# After build, type just 'make install' and test Mortar with:
#	<mortar-binary> -p data <player1> <player2>
#
# This is free software; you can redistribute it and/or modify it
# under the terms specified in the GNU Public Licence (GPL).
#
# Copyright (C) 1998-2002,2005,2008 by Eero Tamminen


# TARGETS: fbmortar:   Linux + 8/16-bit framebuffer
#                      (with virtual console support)
#          wmortar:    W window system
#          xwmortar:   Wlib on X11
#          ggimortar:  libGGI
#          sdlmortar:  SDL + SDL_mixer
#          amortar:    Amiga OS
#          pmortar:    Linux + mono framebuffer (untested)
#          mortar.ttp: Atari TOS
#          mortar.exe: DOS

# should be set to one of TARGETs
ifndef NAME
TARGETS = fbmortar wmortar xwmortar ggimortar sdlmortar \
	amortar pmortar mortar.exe mortar.ttp
default:
	@echo "Select one of targets:"
	@for i in $(TARGETS); do echo "- $$i"; done
	@echo "and type 'make NAME=<target>'"
endif

# whether build environment support unix or just DOS stuff
UNIX = 1

# sound driver can be either of:
# - sdl:   -lSDL_mixer library (unix, windows...)
# - gsi:   -lgsi library (available as unix package)
# - tos:   sound effects on Atari TOS/MiNT/W
# - paula: sound effects on Amiga
# - none:  for no sound
SOUND ?= sdl

# Whether to use Maemo keyboard bindings
# - 0: no
# ->0: given Maemo version (1-4 so far)
MAEMO ?= 0

$(NAME): $(wildcard src/*.[ch])
	$(MAKE) -C src NAME=$(NAME) SOUND=$(SOUND) MAEMO=$(MAEMO)
	mv src/$(NAME) .

# --------------------------------

clean:
	$(MAKE) -C src clean
	$(RM) data/core snapshot.ppm

veryclean: clean
	$(RM) $(TARGETS) mortar*.zip mortar*.tgz
	if [ -e gui/Makefile ]; then \
		$(MAKE) -C gui/ distclean; \
	else \
		cd gui; $(MAKE) -f make.clean clean; \
	fi;


# ---------------------------------------------

ifdef UNIX

# overridable installation directory prefix for Debian
ifdef DESTDIR
PREFIX = /usr
else
# overridable installation directory prefix for direct compilation
PREFIX ?= /usr/local
endif

SCRIPT	= mortar
# note the PREFIX is used also in the install target
GAMEDIR = $(PREFIX)/games
BINDIR  = $(DESTDIR)$(GAMEDIR)
MANDIR	= $(DESTDIR)$(PREFIX)/share/man/man6
DATADIR = $(DESTDIR)$(PREFIX)/share/mortar
ICONDIR = $(DESTDIR)$(PREFIX)/share/icons/hicolor
ifeq ($(MAEMO),0)
DESKDIR = $(DESTDIR)$(PREFIX)/share/applications
APPS = apps
else
DESKDIR = $(DESTDIR)$(PREFIX)/share/applications/hildon
APPS = hildon
endif

# it's not that obvious how to escape $* from both make and shell in 'mort'...
install: $(NAME)
	@echo checking that package got default files...
	[ -f data/config.def  ] || { echo 'default config missing'; exit 1; }
	[ -f data/english     ] || { echo 'default language file missing'; exit 1; }
	[ -f data/ground.pic* ] || { echo 'ground image(s) missing'; exit 1; }
	[ -f data/cannon.pic* ] || { echo 'cannon image(s) missing'; exit 1; }
	[ -f data/font.pic*   ] || { echo 'font image(s) missing'; exit 1; }
	[ -f data/shot.pic*   ] || { echo 'shot image(s) missing'; exit 1; }
	[ -f data/sky.pic*    ] || { echo 'sky image(s) missing'; exit 1; }
	@echo removing previous version and creating dirs...
	rm -rf $(DATADIR)
	[ -d $(BINDIR) ] || install -d -m 755 $(BINDIR)
	[ -d $(DESKDIR) ] || install -d -m 755 $(DESKDIR)
	[ -d $(ICONDIR) ] || install -d -m 755 $(ICONDIR)
	[ -d $(MANDIR) ] || install -d -m 755 $(MANDIR)
	[ -d $(DATADIR) ] || install -d -m 755 $(DATADIR)
	[ -d $(DATADIR)/snd ] || install -d -m 755 $(DATADIR)/snd
	rm -f $(BINDIR)/$(NAME) $(BINDIR)/$(SCRIPT)
	rm -f $(MANDIR)/$(NAME).6 $(MANDIR)/$(SCRIPT).6
	@echo installing executables...
	install -m 755 $(NAME) $(BINDIR)/$(NAME)
	echo '#!/bin/sh' > $(BINDIR)/$(SCRIPT)
	echo 'export SDL_VIDEO_X11_WMCLASS=Mortar' >> $(BINDIR)/$(SCRIPT)
	echo $(GAMEDIR)/$(NAME) -p $(PREFIX)/share/mortar \$$\* >> $(BINDIR)/$(SCRIPT)
	chmod 755 $(BINDIR)/$(SCRIPT)
	@echo ...Maemo/Desktop stuff...
	install -m 644 mortar.desktop $(DESKDIR)
	for size in 26x26 48x48 64x64; do \
	  install -d -m 755 $(ICONDIR)/$$size/$(APPS); \
	  install -m 644 icons/mortar$$size.png $(ICONDIR)/$$size/$(APPS)/mortar.png; \
	done
	@echo ...manuals...
	install -m 644 doc/mortar.6 $(MANDIR)/$(SCRIPT).6
	cd $(MANDIR); ln -s $(SCRIPT).6 $(NAME).6
	@echo ...data files and configuration:
	for i in $$(cd data/; find . -name CVS -prune -o -type f -print); do install -m 644 data/$$i $(DATADIR)/$$i; done
	chmod 755 $(DATADIR)/snd/au2wav.sh
	@echo
	@echo "You can now run MORTAR just by typing '$(SCRIPT) [players]'."

else

# DOS installation is untested
ifeq ($(NAME),mortar.exe)

SCRIPT	= mort.bat
BATDIR	= c:\dos
BASEDIR = c:\games\mortar

install: $(NAME)
	@echo $(BASEDIR)\$(NAME) -p $(BASEDIR)\data > $(BATDIR)\$(SCRIPT)
	@echo "You can now run MORTAR just by typing '"$(SCRIPT)" [players]'."

endif

endif

# --------------------------------
# On Debian:
# * Build (only) binary package with:
#       dpkg-buildpackage -uc -b
# * Create also source package:
#       dpkg-buildpackage -uc -us -ICVS

package1: veryclean
	cd ..; zip -r mortar_s.zip mortar/
	mv ../mortar_s.zip .

package2: veryclean
	cd ..; tar -zcvf mortar_s.tgz --exclude CVS mortar/
	mv ../mortar_s.tgz .

binpack1: $(NAME)
	zip -r mortar.zip $(NAME) *.bat data/ doc/
	mv ../mortar.zip .

binpack2: $(NAME)
	tar -zcvf mortar.tgz --exclude CVS $(NAME) *.bat data/ doc/
	mv ../mortar.tgz .

=== doc/Makefile ===
all: mortar.txt

mortar.txt: mortar.6
	nroff -man $< > $@

=== src/Makefile ===
# Makefile for Mortar sources
#
# This is free software; you can redistribute it and/or modify it
# under the terms specified in the GNU Public Licence (GPL).
#
# Copyright (C) 1998-2002,2005,2008 by Eero Tamminen

# DEBUG enables a few extra sanity checks (yes/no)
DEBUG ?= no

CPPFLAGS = -DMAEMO=$(MAEMO)
ifeq ($(DEBUG),yes)
  CPPFLAGS += -DDEBUG
endif
  
CFLAGS ?= -O2 -g -Wall -Wmissing-prototypes -Wstrict-prototypes \
  -Wsign-compare -Wbad-function-cast -Wcast-qual -Wpointer-arith \
  -Wwrite-strings -Wshadow -Wcast-align -Werror

# if you have libz and enough memory, the image files
# can be optionally compressed on the disk.  If this
# is not set to '-lz', check that image files in data/
# directory been gunzipped and image names config.def
# have been changed accordingly!!!
ZLIBS	= -lz

ifeq ($(SOUND),sdl)
  SOUNDLIBS = -lSDL_mixer
endif
ifeq ($(SOUND),gsi)
  SOUNDLIBS = -lgsi
endif

LDFLAGS	+= $(SOUNDLIBS) $(ZLIBS)

# extra, target specific libs
WLIBS	= -lW
XWLIBS  = -lW2X -L/usr/X11R6/lib -lX11
GGILIBS	= -lggi
SDLLIBS = -lSDL #-lpthread
ALIBS	= -lrtgm -lmieee

ifeq ($(NAME),amortar)
  # AmigaOS 68k
  CC		= vc
  CFLAGS	= -O2 -DAMIGA -Dinline=
else
  CC		= gcc
  ifneq ($(NAME),mortar.exe)
    # generic unix, not DOS DJGPP
    ifeq ($(DEBUG),yes)
      LDFLAGS += -lefence
    endif
  endif
endif


RM	= rm -f

# ----- end of editable part ------------

OBJS	= main.o intro.o game.o list.o user.o image.o range.o tank.o \
	  shot.o ammo.o shield.o util.o font.o scale.o screen.o \
	  color.o map.o frame.o message.o config.o qtrig.o random.o

# with Zlib, read image files as they were gzip compressed
ifeq ($(ZLIBS),-lz)
  OBJS += pbm-z.o
else
  OBJS+= pbm.o
endif


# use snd-none.c for no sound
TOBJS	= win-tos.o snd-$(SOUND).o
DOBJS	= win-dos.o snd-$(SOUND).o
POBJS	= win-pilot.o snd-$(SOUND).o
GGIOBJS	= win-ggi.o snd-$(SOUND).o
SDLOBJS	= win-sdl.o snd-$(SOUND).o
FBOBJS  = win-lfb.o snd-$(SOUND).o
WOBJS	= win-w.o snd-$(SOUND).o
AOBJS	= win-rtgm.o snd-$(SOUND).o amiga.o

all: $(NAME)


wmortar: $(OBJS) $(WOBJS)
	$(CC) -o $@ $(OBJS) $(WOBJS) $(LDFLAGS) $(WLIBS)

xwmortar: $(OBJS) $(WOBJS)
	$(CC) -o $@ $(OBJS) $(WOBJS) $(LDFLAGS) $(XWLIBS)

pmortar: $(OBJS) $(POBJS)
	$(CC) -o $@ $(OBJS) $(POBJS) $(LDFLAGS)

fbmortar: $(OBJS) $(FBOBJS)
	$(CC) -o $@ $(OBJS) $(FBOBJS) $(LDFLAGS)

ggimortar: $(OBJS) $(GGIOBJS)
	$(CC) -o $@ $(OBJS) $(GGIOBJS) $(LDFLAGS) $(GGILIBS)

sdlmortar: $(OBJS) $(SDLOBJS)
	$(CC) -o $@ $(OBJS) $(SDLOBJS) $(LDFLAGS) $(SDLLIBS)

mortar.exe: $(OBJS) $(DOBJS)
	$(CC) -o $@ -s $(OBJS) $(DOBJS) $(LDFLAGS)

mortar.ttp: $(OBJS) $(TOBJS)
	$(CC) -o $@ -s $(OBJS) $(TOBJS) $(LDFLAGS)

amortar: $(OBJS) $(AOBJS)
	$(CC) -o $@ $(OBJS) $(AOBJS) $(LDFLAGS) $(ALIBS)


$(OBJS): mortar.h


# ---------------

data: mortar.h
	$(MAKE) -C utils install

# simple code metrics ;-)
metrics:
	wc Makefile utils/Makefile utils/*.pov utils/*.[ch] *.[ch]

# ---------

clean:
	$(MAKE) -C utils clean
	$(RM) *.o *~

=== src/utils/Makefile ===
# Makefile for compiling MORTAR image utilities and creating images
# Use 'install16' for 16-color mortar images, 'install' otherwise.
#
# Requires NetPBM, cjpeg/djeg and PovRay utilities.
#
# (w) 1998-2001 by Eero Tamminen

CC	= gcc
CFLAGS	= -g -O2 -Wall -Werror
LDFLAGS	= -s

# uncomment if you want to save time and diskspace
#SMALL	= 1

# smallest memory print you get by having BGW and BGH
# set exactly to the screen size you use when playing.
ifdef SMALL
BGW	= 320
BGH	= 200
CW	= 32
CH	= 32
FRAMES	= 17
SW	= 8
SH	= 8
else
BGW	= 640
BGH	= 480
CW	= 48
CH	= 48
FRAMES	= 17
SW	= 12
SH	= 12
endif

# Game will need 2*BGC + 2*GRAYS amount of colors in addition to font colors.

# number of colors background pictures are quantized to
BGC	= 64

# number of grayscales / colors used by player and shot images
GRAYS	= 24

# character table image values (first char, columns, rows)
FIRST	= 32
XFONT	= 16
YFONT	= 14

# suitable skip values for >20 pixel font saved from xfd
XSKIP	= 7
YSKIP	= 4

# ------------------

DATA	= ../../data
CONFIG	= config.def

OBJS	= ../pbm.o msg.o
UTILS	= insert merge order ppm24to8 ppm8to24 remap setcol squeeze
IMAGES	= shot.pic cannon.pic sky.pic ground.pic font.pic
ICONS   = mortar26x26.png mortar48x48.png mortar64x64.png


all: $(UTILS) $(IMAGES)

icons: $(ICONS)

# transparent, 8-bit PNG icons of cannon in 45 degree angle
mortar26x26.png: cannon.pov
	povray +w26 +h26 +ua +fn8 +k45 +o$@ $<
mortar48x48.png: cannon.pov
	povray +w48 +h48 +ua +fn8 +k45 +o$@ $<
mortar64x64.png: cannon.pov
	povray +w64 +h64 +ua +fn8 +k45 +o$@ $<

$(UTILS): $(OBJS)

sky.pic: sky.pov insert ppm24to8
	povray +i$< +w$(BGW) +h$(BGH) +a +ft +O- | cjpeg -quality 95 | djpeg -colors $(BGC) | ./ppm24to8 > $@
	./insert $@

ground.pic: ground.pov insert ppm24to8
	povray +i$< +w$(BGW) +h$(BGH) +a +ft +O- | cjpeg -quality 95 | djpeg -colors $(BGC) | ./ppm24to8 > $@
	./insert $@

shot.pic: shot.pov order ppm24to8
	povray +i$< +w$(SW) +h$(SH) +a +fp +O- | ppmtopgm | ppmquant -fs $(GRAYS) | ./ppm24to8 | ./order > $@

cannon.pic: cannon.ini cannon.pov merge order ppm24to8 ppm8to24
	povray +w$(CW) +h$(CH) +kfi1 +kff$(FRAMES) $<
	for i in cannon*.ppm; do ppmtopgm $$i > $${i%.ppm}.pgm; done
	rm -f cannon*.ppm
	./merge *.pgm | ./ppm8to24 | ppmquant -fs $(GRAYS) | ./ppm24to8 | ./order > $@
	rm -f cannon*.pgm

# font gif is a (possible manipulated) grab of the 'xfd' character table
# (characters 32-255).
font.pic: font.gif squeeze ppm24to8
	giftopnm $< | ./ppm24to8 | ./squeeze $(XFONT) $(YFONT) $(XSKIP) $(YSKIP) | ./order > $@


config: $(CONFIG)
	cp $(CONFIG) $(DATA)
#	@echo -n "energy = "		>> $(DATA)/$(CONFIG)
#	@echo "($(BGW)*1.4)/100*100"|bc	>> $(DATA)/$(CONFIG)
	@echo				>> $(DATA)/$(CONFIG)
	@echo "# -- game images --"	>> $(DATA)/$(CONFIG)
	@echo "width  =" $(BGW)		>> $(DATA)/$(CONFIG)
	@echo "height =" $(BGH)		>> $(DATA)/$(CONFIG)
	@echo				>> $(DATA)/$(CONFIG)
	@echo "sky    =" sky.pic	>> $(DATA)/$(CONFIG)
	@echo "ground =" ground.pic	>> $(DATA)/$(CONFIG)
	@echo				>> $(DATA)/$(CONFIG)
	@echo "font    =" font.pic	>> $(DATA)/$(CONFIG)
	@echo "first   =" $(FIRST)	>> $(DATA)/$(CONFIG)
	@echo "columns =" $(XFONT)	>> $(DATA)/$(CONFIG)
	@echo "rows    =" $(YFONT)	>> $(DATA)/$(CONFIG)
	@echo				>> $(DATA)/$(CONFIG)
	@echo "player =" cannon.pic	>> $(DATA)/$(CONFIG)
	@echo "frames =" $(FRAMES)	>> $(DATA)/$(CONFIG)
	@echo				>> $(DATA)/$(CONFIG)
	@echo "shot =" shot.pic		>> $(DATA)/$(CONFIG)
	cat $(DATA)/snd/map >> $(DATA)/$(CONFIG)


install: $(IMAGES) config
	mv $(IMAGES) $(DATA)


# -----------------

# The 'install16' target for 16-color resolutions has single color /
# single pixel (they are scaled at loading) sky and ground images,
# and will create one color font image and six color player/shot
# images (plus one extra palette entry for transparency).

# number of colors
FONT16	= 2
GRAY16	= 6

IMG16	= shot.16 cannon.16 font.16

shot.16: shot.pov order ppm24to8
	povray +i$< +w$(SW) +h$(SH) +a +fp +O- | ppmtopgm | ppmquant -fs $(GRAY16) | ./ppm24to8 | ./order > $@

cannon.16: cannon.ini cannon.pov merge order
	povray +w$(CW) +h$(CH) +kfi1 +kff$(FRAMES) $<
	for i in cannon*.ppm; do ppmtopgm $$i > $${i%.ppm}.pgm; done
	rm -f cannon*.ppm
	./merge *.pgm | ./ppm8to24 | ppmquant -fs $(GRAY16) | ./ppm24to8 | ./order > $@
	rm -f cannon*.pgm

# convert to monochrome, back to color, squeeze and change color
font.16: font.gif order setcol squeeze ppm24to8
	giftopnm $< | ppmquant $(FONT16) | ./ppm24to8 | ./squeeze $(XFONT) $(YFONT) $(XSKIP) $(YSKIP) | ./order | ./setcol 1 0x00ffee > $@


CONFIG16 = $(DATA)/config.16

config.16: $(CONFIG)
	cp $(CONFIG) $(CONFIG16)
#	@echo -n "energy = "		>> $(CONFIG16)
#	@echo "($(BGW)*1.4)/100*100"|bc	>> $(CONFIG16)
	@echo				>> $(CONFIG16)
	@echo "# -- game images --"	>> $(CONFIG16)
	@echo "width  =" $(BGW)		>> $(CONFIG16)
	@echo "height =" $(BGH)		>> $(CONFIG16)
	@echo				>> $(CONFIG16)
	@echo "sky    =" sky.16		>> $(CONFIG16)
	@echo "ground =" ground.16	>> $(CONFIG16)
	@echo				>> $(CONFIG16)
	@echo "font    =" font.16	>> $(CONFIG16)
	@echo "first   =" $(FIRST)	>> $(CONFIG16)
	@echo "columns =" $(XFONT)	>> $(CONFIG16)
	@echo "rows    =" $(YFONT)	>> $(CONFIG16)
	@echo				>> $(CONFIG16)
	@echo "player =" cannon.16	>> $(CONFIG16)
	@echo "frames =" $(FRAMES)	>> $(CONFIG16)
	@echo				>> $(CONFIG16)
	@echo "shot =" shot.16		>> $(CONFIG16)
	cat $(DATA)/snd/map >> $(CONFIG16)


install16: $(IMG16) sky.16 ground.16 config.16
	cp sky.16 ground.16 $(DATA)
	mv $(IMG16) $(DATA)

# --------------------------------

clean:
	rm -f $(UTILS) $(ICONS) $(IMAGES) $(IMG16) *.o *~ core

=== debian/changelog ===
mortar (1.1.4) unstable; urgency=low

  * Added missing libSDL build dep.

 -- Eero Tamminen <eerott@gmail.com>  Sun, 18 Oct 2009 23:17:28 +0300

mortar (1.1.3) unstable; urgency=low

  * Added missing zlib build dep.

 -- Eero Tamminen <eerott@gmail.com>  Sun, 18 Oct 2009 22:35:59 +0300

mortar (1.1.2) unstable; urgency=low

  * Fixed script paths after Lintian FHS fixes and added Maemo package icon.

 -- Eero Tamminen <eerott@gmail.com>  Wed, 18 Oct 2009 00:10:58 +0300

mortar (1.1.1) unstable; urgency=low

  * Fixed Lintian issues in packaging.

 -- Eero Tamminen <eerott@gmail.com>  Sun, 16 Aug 2009 20:30:25 +0300

mortar (1.1) unstable; urgency=low

  * First properly Debian packaged Mortar version.

 -- Eero Tamminen <eerott@gmail.com>  Sun,  3 Aug 2008 22:33:08 +0300

=== debian/control ===
Source: mortar
Section: user/games
Priority: optional
Maintainer: Eero Tamminen <eerott@gmail.com>
Build-Depends: debhelper (>= 4), zlib1g-dev, libsdl1.2-dev, libsdl-mixer1.2-dev
Standards-Version: 3.7.2

Package: mortar
Architecture: any
Depends: ${shlibs:Depends}
Description: A multiplayer artillery game
 Mortar is very portable, two player artillery game.  By default it
 works on top of SDL (i.e. almost everywhere), but it can be built also
 for Linux framebuffer, DOS, Amiga, Atari ST...  It's somewhat similar
 to old DOS game called Scroched Earth, but simpler.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABGdBTUEAALGP
 C/xhBQAAAARzQklUCAgICHwIZIgAAAGJSURBVHic7JMxruIwFEUP0SREQkEC
 CaiyAAQU1AhKOlgES6CgoGIbLISGng2QmoqWBAWSOCEmnmqiz4cZ8v+UM1dy
 Ydm+x9fvGf7rn9FkMlGbzUYNBgP1ar30N+bD4VBpmkaaptxuN6SU2LZNkiRs
 t9sH72+BptOpqlQqSCkJw5AgCBBCkKYpWZZRq9U4n8/s9/vc/8dXAOPxWLXb
 bUzTJIoiPM8jDEOUUvkA8DyParX6cLYwaDabqW63i67r+L6PEAIpJWmaIqUk
 y7KH/ZfLhV6vpxzHKRUGLRYL1e/3MQwDz/M4nU5EUYQQgiRJctDHVAC/IIVA
 y+VSjUYjTNPEdV2CIMD3fa7XK1EU5U3wOdFnvQVZlkWj0cjrsdvtOB6P1Ov1
 hwYAfpumEMhxHFqtFrZts16vybKMUqmE67rEcYymaU9P9kraO9DhcKDT6bBa
 rZ7qUC6Xud/vry739G3egoQQzOfzHNBsNhFC5HPDMN6mKQSyLAulVJ7GdV0A
 4jjOAbqu/zENwE8AAAD//0HKkdAAAAC4SURBVJWVOwpEIQxFI4iuwk0oCG7A
 /eMiLGztRMgUjwzR8fMmjZ/gPTEJegVxCCJCaw2UUoP/BrmCQgjIIbw+PGWI
 CFKe++oImgFcmM/f2M9VrbXfkxTlGwgiDh04p3FYeO+H8E7iM4RsBxMAz78y
 i7TWtuI7yAziQBFjxFUtaq1LwROEOpSMp16WUsAYM7QxjSfhFYRMaz2ku/f+
 vHU55+2hk+BqTV/77BMAAM45/Fdwt7fypZTEBxOLEeSJLF2KAAAAAElFTkSu
 QmCC

Package: mortar-dbg
Architecture: any
Priority: extra
Depends: mortar (=${binary:Version})
Description: Debug package for mortar
 Debug symbols for the mortar binary.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Maemo Mortar for maemo
	$(MAKE) NAME=sdlmortar MAEMO=4

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp debian/*.log

	# Add here commands to clean up after the build process.
	$(MAKE) veryclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/mortar.
	$(MAKE) NAME=sdlmortar MAEMO=4 DESTDIR=$(CURDIR)/debian/mortar install
	# dh_installman doesn't seem to handle symlinks properly
	rm $(CURDIR)/debian/mortar/usr/share/man/man6/sdlmortar.6
	cd $(CURDIR)/debian/mortar/usr/share/man/man6; ln -s mortar.6.gz sdlmortar.6.gz


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip --dbg-package=mortar
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
